function self = set( self, key, theStruct )

% tsg_nc/set -- set new pair key/value for "tsg_nc" object.
%
% Input
% -------
% self      ........... instance of 'tsg_nc' object
% key       ........... hashtable key
% theStruct ........... hashtable structure
%
% Output
% --------
% self      ........... instance of updated 'tsg_nc' object
%
% $Id$

% populate the internal hashtable
% -------------------------------
self.hashtable = put(self.hashtable, key, theStruct);

% update self.size
% ----------------
self.size = numel(keys(self.hashtable));
